PHP ��U
前一頁 |  | 下一頁

# pg_lo_import

(PHP 4 >= 4.2.0, PHP 5)

pg_lo_import -- Import a large object from file

## Description

int pg_lo_import ( resource connection, string pathname )
int pg_lo_import ( string pathname )

In versions before PHP 4.2.0 the syntax of this function was different, see the following definition:

int pg_lo_import ( string pathname [, resource connection] )

pg_lo_import() creates a new large object in the database using a file on the filesystem as its data source.

To use the large object interface, it is necessary to enclose it within a transaction block.

> 注: ���w��Ҧ��}�ҡAPHP�|�ˬd��檺�}�M�n�ާ@��ɮשΥؿ�O�_�ۦP�UID(�֦��)�C

> 注: This function used to be called pg_loimport().

## Parameters

connection

  PostgreSQL database connection resource. When connection is not present, the default connection is used. The default connection is the last connection made by pg_connect() or pg_pconnect().

pathname

  The full path and file name of the file on the client filesystem from which to read the large object data.

## Return Values

The OID of the newly created large object, or `FALSE` on failure.

## �d��

範例 1. pg_lo_import() example

`<?php $database = pg_connect("dbname=jacarta"); pg_query($database, "begin"); $oid = pg_lo_import($database, '/tmp/lob.dat'); pg_query($database, "commit"); ?>`

## �Ѧ�

pg_lo_export()
pg_lo_open()

前一頁 | 內容 | 下一頁
pg_lo_export | 上一層 | pg_lo_open